Skip to main content
`Ctrl`+`K`

# BaryonComponent

class astropy.cosmology.traits.BaryonComponent

  Bases: `object`

  The cosmology has attributes and methods for the baryon density.

  Methods Summary

  `Ob`(z, /) | Return the density parameter for baryonic matter at redshift `z`.

  Methods Documentation

  Ob(z, /)

    Return the density parameter for baryonic matter at redshift `z`.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshift.

        Changed in version 7.0: Passing z as a keyword argument is deprecated.

        Changed in version 8.0: z must be a positional argument.

    Returns:
      Ob `ndarray`

        The density of baryonic matter relative to the critical density at each redshift.